# azure.mgmt.eventhub.v2015_08_01 package

## Submodules

- azure.mgmt.eventhub.v2015_08_01.models module
- azure.mgmt.eventhub.v2015_08_01.operations module

## Module contents

class `azure.mgmt.eventhub.v2015_08_01.``EventHubManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Azure Event Hubs client

  Variables:

  - config (EventHubManagementClientConfiguration) – Configuration for client.
  - operations (azure.mgmt.eventhub.v2015_08_01.operations.Operations) – Operations operations
  - namespaces (azure.mgmt.eventhub.v2015_08_01.operations.NamespacesOperations) – Namespaces operations
  - event_hubs (azure.mgmt.eventhub.v2015_08_01.operations.EventHubsOperations) – EventHubs operations
  - consumer_groups (azure.mgmt.eventhub.v2015_08_01.operations.ConsumerGroupsOperations) – ConsumerGroups operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription credentials that uniquely identify a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL

class `azure.mgmt.eventhub.v2015_08_01.``EventHubManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for EventHubManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Subscription credentials that uniquely identify a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL